libnunit-util2.6.3-cil_2.6.4+dfsg-1_all.deb


Advertisement

Description

libnunit-util2.6.3-cil - Unit test framework for CLI - Assemblies

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename libnunit-util2.6.3-cil_2.6.4+dfsg-1_all.deb
Package name libnunit-util2.6.3-cil
Package version 2.6.4+dfsg
Package release 1
Package architecture all
Package type deb
Category cli-mono
Homepage http://www.nunit.org/
License -
Maintainer Debian CLI Libraries Team <pkg-cli-libs-team@lists.alioth.debian.org>
Download size 48.27 KB
Installed size 150.00 KB
NUnit is a unit testing framework for all .NET languages. It serves the
same purpose as JUnit does in the Java world. It supports test
categories, testing for exceptions and writing test results in plain
text or XML.
This package contains the nunit.util assembly

Alternatives

Package Version Architecture Repository
libnunit-util2.6.3-cil_2.6.4+dfsg-1_all.deb 2.6.4+dfsg all Debian Main
libnunit-util2.6.3-cil - - -

Requires

Name Value
cli-common >= 0.5.6
libmono-corlib4.5-cil >= 4.2.0
libmono-system-configuration4.0-cil >= 4.0.0~alpha1
libmono-system-drawing4.0-cil >= 3.0.6
libmono-system-runtime4.0-cil >= 2.10.1
libmono-system-xml4.0-cil >= 4.2.0
libmono-system4.0-cil >= 4.2.0
libnunit-core-interfaces2.6.3-cil -
libnunit-core2.6.3-cil -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libnunit-util2.6.3-cil_2.6.4+dfsg-1_all.deb
Source Package nunit

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libnunit-util2.6.3-cil deb package:
    # sudo apt-get install libnunit-util2.6.3-cil

Files

Path
/usr/lib/cli/nunit.util-2.6.3/nunit.util.dll
/usr/share/cli-common/packages.d/libnunit-util2.6.3-cil.installcligac
/usr/share/cli-common/policies.d/010-2.6.nunit.util
/usr/share/cli-common/policies.d/libnunit-util2.6.3-cil/policy.2.6.nunit.util.config
/usr/share/cli-common/policies.d/libnunit-util2.6.3-cil/policy.2.6.nunit.util.dll
/usr/share/doc/libnunit-util2.6.3-cil/changelog.Debian.gz
/usr/share/doc/libnunit-util2.6.3-cil/copyright

Changelog

2015-12-14 - Jo Shields <jo.shields@xamarin.com>
nunit (2.6.4+dfsg-1) unstable; urgency=medium
* [91d9c53] Imported Upstream version 2.6.4+dfsg
* [165497e] ABI doesn't seem to have changed meaningfully, but the version
number has been bumped. So include a policy file to handle redirecting
2.6.3->2.6.4
* [bd60cb0] NUnit's build system uses NAnt to build nuget files, using
NAnt targets. Our NUnit avoids the NAnt dependency (as it would be
circular), so manually override the NAnt paths. Also, our
NUnit.Runners.nupkg is very cut down compared to upstream, due to all
sorts of stuff we don't need being in it - so strip the install list.
In addition, "nuget pack" is not path-separator-agnostic, so hardcode
UNIX / instead of Windows \
* [03d874c] Refreshed d/p/05_build_xml_doc_for_nunit.core.dpatch
* [fc0727d] Refreshed d/p/use_default_framework.patch
* [885695d] Build .nupkg files as nupkg-foo packages, placing the nupkg
files in /usr/share/nupkg/ - this location can be used by adding
file:///usr/share/nupkg as a source via the nuget command line
* [d221357] Better dependencies for nupkgs
* [b02ab20] Refreshed d/p/use_default_framework.patch
* [8d704cc] Force XDG_CONFIG_HOME so /nonexistent/.config/NuGet isn't used
2014-09-16 - Jo Shields <directhex@apebox.org>
nunit (2.6.3+dfsg-1) unstable; urgency=medium
* [c7bd1b5] Imported Upstream version 2.6.3+dfsg
* [bcb4bf8] Move nunit-console-runner to GAC-installed libnunit2.6, 
don't treat it as a private lib. This lib is signed, and treated 
as a GAC lib by consumers such as MonoDevelop.
* [7f08e99] Bump version to 2.6.3 as required
* [84535eb] Refreshed patches
* [8479f61] Split package up into per-assembly packages. This makes 
ABI tracking easier in the future, as we can meaningfully have GAC 
policy for cases where ABI isn't truly bumped, and no policy for 
cases where it is. For example, if nunit.framework bumps ABI but 
nunit.core does not, previously we would need to rebuild everything 
using NUnit, but under the new split packaging, that rebuild would 
not be needed for apps only using nunit.core.
* [17a7dc7] Add missing nunit.mocks.dll to nunit.pc
2012-05-27 - Jo Shields <directhex@apebox.org>
nunit (2.6.0.12051+dfsg-2) unstable; urgency=low
* Upload to unstable.
2012-04-15 - Julian Taylor <jtaylor.debian@googlemail.com>
nunit (2.6.0.12051+dfsg-1) experimental; urgency=low
* New upstream release
2012-01-31 - Jo Shields <directhex@apebox.org>
nunit (2.5.10.11092+dfsg-3) unstable; urgency=low
[ Julian Taylor ]
* [2d4a71e] add patch to fix monodevelop's nunit addin (LP: #889241)
* [161ce71] build debug configuration
2012-01-17 - Iain Lane <laney@debian.org>
nunit (2.5.10.11092+dfsg-2) unstable; urgency=low
* Upload to unstable

See Also

Package Description
libnusoap-php_0.9.5-3_all.deb SOAP toolkit for PHP
libnutclient-dev_2.7.4-8_amd64.deb network UPS tools - development files
libnutclient0_2.7.4-8_amd64.deb network UPS tools - new client library
libnvidia-egl-wayland-dev_1.1.2-1_amd64.deb Wayland EGL External Platform library -- development files
libnvidia-egl-wayland1_1.1.2-1_amd64.deb Wayland EGL External Platform library -- shared library
libnvtt-bin_2.0.8-1+dfsg-8.1+b3_amd64.deb NVIDIA Texture Tools (Binaries)
libnvtt-dev_2.0.8-1+dfsg-8.1+b3_amd64.deb NVIDIA Texture Tools (Header)
libnvtt2_2.0.8-1+dfsg-8.1+b3_amd64.deb NVIDIA Texture Tools
libnx-x11-6_3.5.99.19-3+deb10u2_amd64.deb nxagent's libNX_X11 client-part library
libnx-x11-dev_3.5.99.19-3+deb10u2_amd64.deb nxagent's libNX_X11 client-part library (development headers)
libnxcl-bin_0.9-3.1+b1_amd64.deb NX X compression client library---runtime
libnxcl-dev_0.9-3.1+b1_amd64.deb NX X compression client library---headers
libnxcl1_0.9-3.1+b1_amd64.deb NX X compression client library
libnxml0-dev_0.18.3-7_amd64.deb static library and C header files for libnxml0
libnxml0_0.18.3-7_amd64.deb C library for parsing, writing and creating xml 1.0/1.1 files or streams
Advertisement
Advertisement